﻿using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

namespace Blahblah.FlowerStory.Server.Migrations
{
    /// <inheritdoc />
    public partial class AddLatitudeLongitude : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.AddColumn<double>(
                name: "latitude",
                table: "records",
                type: "REAL",
                nullable: true);

            migrationBuilder.AddColumn<double>(
                name: "longitude",
                table: "records",
                type: "REAL",
                nullable: true);

            migrationBuilder.AddColumn<double>(
                name: "latitude",
                table: "flowers",
                type: "REAL",
                nullable: true);

            migrationBuilder.AddColumn<double>(
                name: "longitude",
                table: "flowers",
                type: "REAL",
                nullable: true);
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropColumn(
                name: "latitude",
                table: "records");

            migrationBuilder.DropColumn(
                name: "longitude",
                table: "records");

            migrationBuilder.DropColumn(
                name: "latitude",
                table: "flowers");

            migrationBuilder.DropColumn(
                name: "longitude",
                table: "flowers");
        }
    }
}
